#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Samir Gehani <sgehani@netscape.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk
include $(srcdir)/objs.mk

ifdef MOZ_INSTALLER
# Linux and Solaris installer needs standalone libjar
DIRS		= standalone

# Make this a true dynamic component even in static builds because
# this component is shared by installer
ifndef MINIMO
# we don't care about the installer for MINIMO
ifndef MOZ_ENABLE_LIBXUL
BUILD_STATIC_LIBS=
endif
endif
endif

ifdef ENABLE_TESTS
TOOL_DIRS += test
endif


MODULE		= jar
LIBRARY_NAME	= jar$(VERSION_NUMBER)
EXPORT_LIBRARY = 1
IS_COMPONENT	= 1
MODULE_NAME	= nsJarModule
GRE_MODULE	= 1
LIBXUL_LIBRARY = 1

PACKAGE_FILE = libjar.pkg

REQUIRES	= xpcom \
		  string \
		  caps \
		  mimetype \
		  js \
		  xpconnect \
		  necko \
		  $(ZLIB_REQUIRES) \
		  $(NULL)

CPPSRCS		= $(MODULES_LIBJAR_LCPPSRCS)

XPIDLSRCS	= $(MODULES_LIBJAR_LXPIDLSRCS)

EXPORTS		= $(MODULES_LIBJAR_LEXPORTS)

include $(topsrcdir)/config/rules.mk

ifeq ($(OS_ARCH),WINNT)
DEFINES		+= -DZLIB_DLL=1
endif

EXTRA_DSO_LDOPTS += \
		$(LIBS_DIR) \
		$(ZLIB_LIBS) \
		$(MOZ_COMPONENT_LIBS) \
		$(NULL)


